use Test::More tests => 7;
use strict;
use DE_EPAGES::Core::API::File qw( CaptureStream );
use DE_EPAGES::Core::API::Object::ProgressMonitor;

my $Progress = DE_EPAGES::Core::API::Object::ProgressMonitor->new(
    ContentTemplate => "# %4d of %4d products exported.\n",
    Total => 50,
    Current => 0,
);
is( $Progress->get('Current'), 0, 'new.Current');
is( $Progress->get('Total'), 50, 'new.Total');

$Progress->set('Current', 5);
is( $Progress->get('Current'), 5, 'set/get.Current');

my $Output = CaptureStream( *STDOUT, sub { $Progress->write } );
is( $Output, "#    5 of   50 products exported.\n", 'write' );

$Progress->reset;
is( $Progress->get('Current'), 0, 'reset.Current');
is( $Progress->get('Total'), 50, 'reset.Total');

for (1 .. 50) {
    $Progress->incCurrent;
    $Progress->write;
}
is( $Progress->get('Current'), 50, 'finished.Current' );
