﻿use Test::More tests => 3;

use strict;
use Encode qw(encode_utf8);
use HTTP::Response;
use DE_EPAGES::Core::API::Script qw( RunScript );
use DE_EPAGES::WebInterface::API::Object::Monitor;

RunScript( Message => 'long', Sub => sub {

    TestUTF8();
});

sub TestUTF8 {

    my $Monitor = 'DE_EPAGES::WebInterface::API::Object::Monitor';
    my $GUID = 'ResponseDump.t-GUID';

    my $Response = HTTP::Response->new(200);
    use utf8;
    my $Uft8String = 'Радуга';
    no utf8;
    $Response->content(encode_utf8($Uft8String));
    $Response->content_type( 'text/html' );
    $Response->header( 'Cache-Control', 'no-cache' );
    $Monitor->writeResponse($Response, $GUID);

    my $Response2 = HTTP::Response->new(200);
    $Monitor->readResponse( $Response2, $GUID );

    is( $Response->content, $Response2->content, 'content');
    is( $Response->headers->as_string, $Response2->headers->as_string, "headers" );
    is( $Response->content_type, 'text/html', "content-type" );
}
